import { i as OpenClawPluginApi, wt as ProviderPlugin } from "./acpx-BnI94i_U.js";
import "./provider-model-shared-2dIuYXVv.js";
//#region extensions/google/provider-registration.d.ts
declare function buildGoogleProvider(): ProviderPlugin;
declare function registerGoogleProvider(api: OpenClawPluginApi): void;
//#endregion
export { registerGoogleProvider as n, buildGoogleProvider as t };